#!/bin/bash
export DXVK_LOG_LEVEL=none
export DXVK_ASYNC=1
export RADV_PERFTEST=sam,rt
export VKD3D_CONFIG=dxr11 
#export VKD3D_FEATURE_LEVEL=12_2
export WINEDEBUG=-all
export WINEDLLOVERRIDES=winedbg.exe=d
export WINEFSYNC=1

command="gamescope -f -U -o 30 -w 1920 -h 1080 -- gamemoderun mangohud ENABLE_VKBASALT=1"
if [[ "$@" == *"SteamLaunch"* ]]; then
	$command "$@"
	#xfce4-terminal -e "bash -c $command "$@";bash"
	exit 0
fi

cd "$1"
wine="wine"
if [ "$3" ]; then
	wine="$3"
fi

if [ "$4" != "true" ]; then
	wine="$wine explorer /desktop=,1920x1080"	
fi

command="$command $wine $2"
#xfce4-terminal -e "bash -c \"$command\";bash"
bash -c "$command"